Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 740442 - ALIASEDVAR Patch: Assertion failure: [infer failure] Missing type pushed 0: float, at jsinfer.cpp:352
: ALIASEDVAR Patch: Assertion failure: [infer failure] Missing type pushed 0: f...
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86_64 Linux
: -- critical (vote)
: ---
Assigned To: Luke Wagner [:luke]
: Jason Orendorff [:jorendorff]
Depends on:
Blocks: langfuzz 740259
  Show dependency treegraph
Reported: 2012-03-29 09:55 PDT by Christian Holler (:decoder)
Modified: 2013-01-14 07:40 PST (History)
2 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Christian Holler (:decoder) 2012-03-29 09:55:23 PDT
The following test asserts on mozilla-central revision 7ed31daf07bd with patch from bug 740259 (options -m -n -a):

function g1() {}
function g2() 
function Int8Array () {}   
function f1(other) {
    eval("gc(); h = g1");
    for(var i=0; i<20; i++) {
        i =;
Comment 1 Luke Wagner [:luke] 2012-03-29 16:23:10 PDT
I'll add the testcase to the batch.

*** This bug has been marked as a duplicate of bug 740445 ***
Comment 2 Gary Kwong [:gkw] [:nth10sd] 2012-04-09 14:33:11 PDT
Fixed by new patch in bug 740445 -> FIXED
Comment 3 Gary Kwong [:gkw] [:nth10sd] 2012-04-09 14:34:28 PDT
Or in bug 740259.
Comment 4 Christian Holler (:decoder) 2013-01-14 07:40:13 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/basic/testBug740442.js.

Note You need to log in before you can comment on or make changes to this bug.